<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 6.0.2 (Python 3.9.5 on win32)" generated="20230227 13:19:32.300" rpa="false" schemaversion="3">
<suite id="s1" name="Form" source="C:\Users\dparuchuri002\PycharmProjects\Task2\Assignment\form.robot">
<test id="s1-t1" name="open the url and test" line="8">
<kw name="Open Browser" library="SeleniumLibrary">
<arg>https://demoqa.com/automation-practice-form</arg>
<arg>chrome</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<msg timestamp="20230227 13:19:32.989" level="INFO">Opening browser 'chrome' to base url 'https://demoqa.com/automation-practice-form'.</msg>
<status status="PASS" starttime="20230227 13:19:32.989" endtime="20230227 13:19:46.959"/>
</kw>
<kw name="Maximize Browser Window" library="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" starttime="20230227 13:19:46.959" endtime="20230227 13:19:47.073"/>
</kw>
<kw name="Set Selenium Timeout" library="SeleniumLibrary">
<arg>5s</arg>
<doc>Sets the timeout that is used by various keywords.</doc>
<status status="PASS" starttime="20230227 13:19:47.073" endtime="20230227 13:19:47.074"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>15s</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20230227 13:20:02.079" level="INFO">Slept 15 seconds</msg>
<status status="PASS" starttime="20230227 13:19:47.074" endtime="20230227 13:20:02.079"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>xpath://input[@id='firstName']</arg>
<arg>Dinesh Sai Teja</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:02.080" level="INFO">Typing text 'Dinesh Sai Teja' into text field 'xpath://input[@id='firstName']'.</msg>
<status status="PASS" starttime="20230227 13:20:02.079" endtime="20230227 13:20:02.160"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>xpath://input[@id='lastName']</arg>
<arg>Paruchuri</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:02.160" level="INFO">Typing text 'Paruchuri' into text field 'xpath://input[@id='lastName']'.</msg>
<status status="PASS" starttime="20230227 13:20:02.160" endtime="20230227 13:20:02.226"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>xpath://input[@id='userEmail']</arg>
<arg>dineshsaitjea.p@gmail.com</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:02.227" level="INFO">Typing text 'dineshsaitjea.p@gmail.com' into text field 'xpath://input[@id='userEmail']'.</msg>
<status status="PASS" starttime="20230227 13:20:02.227" endtime="20230227 13:20:02.296"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>xpath://label[@for='gender-radio-1']</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:02.297" level="INFO">Clicking element 'xpath://label[@for='gender-radio-1']'.</msg>
<status status="PASS" starttime="20230227 13:20:02.297" endtime="20230227 13:20:02.332"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>xpath://input[@id='userNumber']</arg>
<arg>1234567890</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:02.334" level="INFO">Typing text '1234567890' into text field 'xpath://input[@id='userNumber']'.</msg>
<status status="PASS" starttime="20230227 13:20:02.333" endtime="20230227 13:20:02.387"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>xpath://input[@id='dateOfBirthInput']</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:02.387" level="INFO">Clicking element 'xpath://input[@id='dateOfBirthInput']'.</msg>
<status status="PASS" starttime="20230227 13:20:02.387" endtime="20230227 13:20:02.488"/>
</kw>
<kw name="Select From List By Label" library="SeleniumLibrary">
<arg>//select[@class='react-datepicker__year-select']</arg>
<arg>2001</arg>
<doc>Selects options from selection list ``locator`` by ``labels``.</doc>
<msg timestamp="20230227 13:20:02.489" level="INFO">Selecting options from selection list '//select[@class='react-datepicker__year-select']' by label 2001.</msg>
<status status="PASS" starttime="20230227 13:20:02.488" endtime="20230227 13:20:02.580"/>
</kw>
<kw name="Select From List By Label" library="SeleniumLibrary">
<arg>//select[@class='react-datepicker__month-select']</arg>
<arg>November</arg>
<doc>Selects options from selection list ``locator`` by ``labels``.</doc>
<msg timestamp="20230227 13:20:02.581" level="INFO">Selecting options from selection list '//select[@class='react-datepicker__month-select']' by label November.</msg>
<status status="PASS" starttime="20230227 13:20:02.580" endtime="20230227 13:20:02.634"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>//*[@aria-label='Choose Monday, November 26th, 2001']</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:02.635" level="INFO">Clicking element '//*[@aria-label='Choose Monday, November 26th, 2001']'.</msg>
<status status="PASS" starttime="20230227 13:20:02.634" endtime="20230227 13:20:02.670"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>5s</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20230227 13:20:07.670" level="INFO">Slept 5 seconds</msg>
<status status="PASS" starttime="20230227 13:20:02.670" endtime="20230227 13:20:07.671"/>
</kw>
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>xpath://textarea[@id='currentAddress']</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" starttime="20230227 13:20:07.672" endtime="20230227 13:20:07.749"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>xpath://textarea[@id='currentAddress']</arg>
<arg>PWC Office, Bhubaneswar</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:07.749" level="INFO">Typing text 'PWC Office, Bhubaneswar' into text field 'xpath://textarea[@id='currentAddress']'.</msg>
<status status="PASS" starttime="20230227 13:20:07.749" endtime="20230227 13:20:07.828"/>
</kw>
<kw name="Scroll Element Into View" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-4-input']</arg>
<doc>Scrolls the element identified by ``locator`` into view.</doc>
<status status="PASS" starttime="20230227 13:20:07.829" endtime="20230227 13:20:08.115"/>
</kw>
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-3-input']</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" starttime="20230227 13:20:08.116" endtime="20230227 13:20:08.133"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-3-input']</arg>
<arg>NCR</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:08.136" level="INFO">Typing text 'NCR' into text field 'xpath://input[@id='react-select-3-input']'.</msg>
<status status="PASS" starttime="20230227 13:20:08.133" endtime="20230227 13:20:08.207"/>
</kw>
<kw name="Press Keys" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-3-input']</arg>
<arg>ENTER</arg>
<doc>Simulates the user pressing key(s) to an element or on the active browser.</doc>
<msg timestamp="20230227 13:20:08.208" level="INFO">Sending key(s) ('ENTER',) to xpath://input[@id='react-select-3-input'] element.</msg>
<msg timestamp="20230227 13:20:08.481" level="INFO">Pressing special key ENTER to element.</msg>
<msg timestamp="20230227 13:20:08.481" level="INFO">Releasing special key ENTER.</msg>
<status status="PASS" starttime="20230227 13:20:08.208" endtime="20230227 13:20:08.491"/>
</kw>
<kw name="Press Keys" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-3-input']</arg>
<arg>RETURN</arg>
<doc>Simulates the user pressing key(s) to an element or on the active browser.</doc>
<msg timestamp="20230227 13:20:08.492" level="INFO">Sending key(s) ('RETURN',) to xpath://input[@id='react-select-3-input'] element.</msg>
<msg timestamp="20230227 13:20:08.788" level="INFO">Pressing special key RETURN to element.</msg>
<msg timestamp="20230227 13:20:08.788" level="INFO">Releasing special key RETURN.</msg>
<status status="PASS" starttime="20230227 13:20:08.491" endtime="20230227 13:20:08.798"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>15s</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20230227 13:20:23.822" level="INFO">Slept 15 seconds</msg>
<status status="PASS" starttime="20230227 13:20:08.798" endtime="20230227 13:20:23.822"/>
</kw>
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>xpath://label[contains(text(),'Sports')]</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" starttime="20230227 13:20:23.822" endtime="20230227 13:20:23.857"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>xpath://label[contains(text(),'Sports')]</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:23.858" level="INFO">Clicking element 'xpath://label[contains(text(),'Sports')]'.</msg>
<status status="PASS" starttime="20230227 13:20:23.857" endtime="20230227 13:20:23.874"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>3s</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20230227 13:20:26.876" level="INFO">Slept 3 seconds</msg>
<status status="PASS" starttime="20230227 13:20:23.874" endtime="20230227 13:20:26.876"/>
</kw>
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-4-input']</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" starttime="20230227 13:20:26.876" endtime="20230227 13:20:26.891"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-4-input']</arg>
<arg>Delhi</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:26.891" level="INFO">Typing text 'Delhi' into text field 'xpath://input[@id='react-select-4-input']'.</msg>
<status status="PASS" starttime="20230227 13:20:26.891" endtime="20230227 13:20:26.975"/>
</kw>
<kw name="Press Keys" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-4-input']</arg>
<arg>ENTER</arg>
<doc>Simulates the user pressing key(s) to an element or on the active browser.</doc>
<msg timestamp="20230227 13:20:26.975" level="INFO">Sending key(s) ('ENTER',) to xpath://input[@id='react-select-4-input'] element.</msg>
<msg timestamp="20230227 13:20:27.280" level="INFO">Pressing special key ENTER to element.</msg>
<msg timestamp="20230227 13:20:27.280" level="INFO">Releasing special key ENTER.</msg>
<status status="PASS" starttime="20230227 13:20:26.975" endtime="20230227 13:20:27.294"/>
</kw>
<kw name="Press Keys" library="SeleniumLibrary">
<arg>xpath://input[@id='react-select-4-input']</arg>
<arg>RETURN</arg>
<doc>Simulates the user pressing key(s) to an element or on the active browser.</doc>
<msg timestamp="20230227 13:20:27.294" level="INFO">Sending key(s) ('RETURN',) to xpath://input[@id='react-select-4-input'] element.</msg>
<msg timestamp="20230227 13:20:27.570" level="INFO">Pressing special key RETURN to element.</msg>
<msg timestamp="20230227 13:20:27.570" level="INFO">Releasing special key RETURN.</msg>
<status status="PASS" starttime="20230227 13:20:27.294" endtime="20230227 13:20:27.580"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>15s</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20230227 13:20:42.587" level="INFO">Slept 15 seconds</msg>
<status status="PASS" starttime="20230227 13:20:27.580" endtime="20230227 13:20:42.587"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>15s</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20230227 13:20:57.592" level="INFO">Slept 15 seconds</msg>
<status status="PASS" starttime="20230227 13:20:42.588" endtime="20230227 13:20:57.592"/>
</kw>
<kw name="Wait Until Element Is Visible" library="SeleniumLibrary">
<arg>xpath://input[@id='subjectsInput']</arg>
<doc>Waits until the element ``locator`` is visible.</doc>
<status status="PASS" starttime="20230227 13:20:57.592" endtime="20230227 13:20:57.631"/>
</kw>
<kw name="Click Element" library="SeleniumLibrary">
<arg>xpath://input[@id='subjectsInput']</arg>
<doc>Click the element identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:57.632" level="INFO">Clicking element 'xpath://input[@id='subjectsInput']'.</msg>
<status status="PASS" starttime="20230227 13:20:57.631" endtime="20230227 13:20:57.671"/>
</kw>
<kw name="Input Text" library="SeleniumLibrary">
<arg>xpath://input[@id='subjectsInput']</arg>
<arg>Maths,Physics,Chemistry</arg>
<doc>Types the given ``text`` into the text field identified by ``locator``.</doc>
<msg timestamp="20230227 13:20:57.671" level="INFO">Typing text 'Maths,Physics,Chemistry' into text field 'xpath://input[@id='subjectsInput']'.</msg>
<status status="PASS" starttime="20230227 13:20:57.671" endtime="20230227 13:20:57.773"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>3s</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20230227 13:21:00.782" level="INFO">Slept 3 seconds</msg>
<status status="PASS" starttime="20230227 13:20:57.773" endtime="20230227 13:21:00.782"/>
</kw>
<kw name="Capture Page Screenshot" library="SeleniumLibrary">
<arg>C:\Users\dparuchuri002\PycharmProjects\Task2\Assignment\Screenshot.jpg</arg>
<doc>Takes a screenshot of the current page and embeds it into a log file.</doc>
<msg timestamp="20230227 13:21:00.980" level="INFO" html="true">&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td colspan="3"&gt;&lt;a href="Usersdparuchuri002PycharmProjectsTask2AssignmentScreenshot.jpg"&gt;&lt;img src="Usersdparuchuri002PycharmProjectsTask2AssignmentScreenshot.jpg" width="800px"&gt;&lt;/a&gt;</msg>
<msg timestamp="20230227 13:21:00.980" level="INFO">C:\Users\dparuchuri002\PycharmProjects\Task2\venv\lib\site-packages\selenium\webdriver\remote\webdriver.py:888: UserWarning: name used for saved screenshot does not match file type. It should end with a `.png` extension
  warnings.warn(</msg>
<status status="PASS" starttime="20230227 13:21:00.782" endtime="20230227 13:21:00.981"/>
</kw>
<kw name="Sleep" library="BuiltIn">
<arg>5s</arg>
<doc>Pauses the test executed for the given time.</doc>
<msg timestamp="20230227 13:21:05.993" level="INFO">Slept 5 seconds</msg>
<status status="PASS" starttime="20230227 13:21:00.982" endtime="20230227 13:21:05.993"/>
</kw>
<kw name="Close Browser" library="SeleniumLibrary">
<doc>Closes the current browser.</doc>
<status status="PASS" starttime="20230227 13:21:05.993" endtime="20230227 13:21:08.464"/>
</kw>
<status status="PASS" starttime="20230227 13:19:32.989" endtime="20230227 13:21:08.464"/>
</test>
<status status="PASS" starttime="20230227 13:19:32.310" endtime="20230227 13:21:08.464"/>
</suite>
<statistics>
<total>
<stat pass="1" fail="0" skip="0">All Tests</stat>
</total>
<tag>
</tag>
<suite>
<stat pass="1" fail="0" skip="0" id="s1" name="Form">Form</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
